View Issue Details

IDProjectCategoryView StatusLast Update
0017420LazarusIDEpublic2011-12-01 11:24
ReporterJon Lennart AasendenAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017420: Menu designer assignes action’s to the wrong item in list
DescriptionThe menu designer works fine as long as you dont alter the list. But when you start moving items up or down on a submenu - it get's confused.
When you then set the Action property of a menuitem - the action is assigned to whatever menuitem who occupies the origial position.
So if i move menuitem 0000010 3 rows up to 0000007, then assign an action to 0000007 -- it ends up altering menuitem 0000010 instead.

On my mac, if you delete menuitem 0000010 and assign to 0000007 -- lazarus crashes.
TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCarbon
Attached Files

Activities

Juha Manninen

2010-09-15 11:30

developer   ~0041105

Does it happen also with the latest development version, 0.9.29?

Zeljan Rikalo

2010-09-21 08:29

developer   ~0041253

Fixed during 0.9.29. Tested with r27243

Issue History

Date Modified Username Field Change
2010-09-15 11:10 Jon Lennart Aasenden New Issue
2010-09-15 11:10 Jon Lennart Aasenden Widgetset => Carbon
2010-09-15 11:30 Juha Manninen LazTarget => -
2010-09-15 11:30 Juha Manninen Note Added: 0041105
2010-09-15 11:30 Juha Manninen Status new => feedback
2010-09-21 08:29 Zeljan Rikalo Status feedback => resolved
2010-09-21 08:29 Zeljan Rikalo Fixed in Version => 0.9.29 (SVN)
2010-09-21 08:29 Zeljan Rikalo Resolution open => fixed
2010-09-21 08:29 Zeljan Rikalo Assigned To => Zeljan Rikalo
2010-09-21 08:29 Zeljan Rikalo Note Added: 0041253
2011-12-01 11:24 Marc Weustink Status resolved => closed